<?xml version="1.0" encoding="utf-8"?>
<odoo>

        <record id="act_hr_employee_2_hr_contract" model="ir.actions.act_window">
            <field name="name">Contracts</field>
            <field name="res_model">hr.contract</field>
            <field name="view_type">form</field>
            <field name="view_mode">kanban,tree,form</field>
            <field name="context">{
                'search_default_employee_id': [active_id],
                'default_employee_id': active_id,
                'search_default_group_by_state': 1
            }</field>
        </record>

        <record id="hr_hr_employee_view_form2" model="ir.ui.view">
            <field name="name">hr.hr.employee.view.form2</field>
            <field name="model">hr.employee</field>
            <field name="inherit_id" ref="hr.view_employee_form"/>
            <field name="arch" type="xml">
                <data>
                    <xpath expr="//div[@name='button_box']" position="inside">
                        <button name="%(act_hr_employee_2_hr_contract)d"
                            class="oe_stat_button"
                            icon="fa-book"
                            type="action"
                            groups="hr_contract.group_hr_contract_manager">
                            <field name="contracts_count" widget="statinfo" string="Contracts"/>
                        </button>
                    </xpath>
                    <xpath expr="//group[@name='active_group']" position="after">
                        <group string="Current Contract">
                            <field name="medic_exam" string="Medical Exam"/>
                            <field name="vehicle"/>
                        </group>
                    </xpath>
                    <xpath expr="//field[@name='bank_account_id']" position="replace">
                        <field name="bank_account_id" context="{'display_partner':True}"/>
                    </xpath>
                </data>
            </field>
        </record>

        <record id="hr_user_view_form" model="ir.ui.view">
        <field name="name">hr.user.preferences.view.form.contract.inherit</field>
        <field name="model">res.users</field>
        <field name="inherit_id" ref="hr.res_users_view_form_profile"/>
        <field name="arch" type="xml">
            <xpath expr="//group[@name='active_group']" position="after">
                <group string="Current Contract">
                    <field name="medic_exam" string="Medical Exam"/>
                    <field name="vehicle"/>
                </group>
            </xpath>
            <xpath expr="//field[@name='employee_bank_account_id']" position="replace">
                <field name="employee_bank_account_id" context="{'display_partner':True}"/>
            </xpath>
        </field>
    </record>

        <record id="hr_contract_view_search" model="ir.ui.view">
            <field name="name">hr.contract.search</field>
            <field name="model">hr.contract</field>
            <field name="arch" type="xml">
                <search string="Search Contract">
                    <field name="name" string="Contracts"/>
                    <field name="date_start"/>
                    <field name="date_end"/>
                    <field name="resource_calendar_id"/>
                    <field name="employee_id"/>
                    <field name="department_id" operator="child_of"/>
                    <field name="state"/>
                    <filter string="Running" name="running" domain="[('state', '=', 'open')]"/>
                    <filter string="To Renew" name="to_renew" domain="[('state', '=', 'pending')]"/>
                    <separator />
                    <filter string="Current Employee" name="current_employee" domain="[('employee_id.active','=',True)]"/>
                    <separator/>
                    <filter string="To Report to Social Secretariat" name="to_report" domain="[('reported_to_secretariat', '=', False)]"/>
                    <separator/>
                    <filter string="Archived" name="inactive" domain="[('active', '=', False)]"/>
                    <separator/>
                    <filter string="Important Messages" name="message_needaction" domain="[('message_needaction','=',True)]"/>
                    <group expand="0" string="Group By">
                        <filter string="Employee" name="employee" domain="[]" context="{'group_by':'employee_id'}"/>
                        <filter string="Job" name="job" domain="[]" context="{'group_by':'job_id'}"/>
                        <filter string="State" name='group_by_state' domain="[]" context="{'group_by': 'state'}"/>
                    </group>
                </search>
            </field>
        </record>

        <record id="hr_contract_view_form" model="ir.ui.view">
            <field name="name">hr.contract.form</field>
            <field name="model">hr.contract</field>
            <field name="arch" type="xml">
                <form string="Current Contract">
                    <header>
                        <field name="state" widget="statusbar" options="{'clickable': '1'}"/>
                    </header>
                    <sheet>
                    <div class="oe_button_box" name="button_box">
                        <button name="toggle_active" type="object" class="oe_stat_button" icon="fa-archive">
                            <field name="active" widget="boolean_button" options='{"terminology": "archive"}'/>
                        </button>
                    </div>
                    <div class="oe_title" name="title">
                        <label for="name" class="oe_edit_only"/>
                        <h1>
                            <field name="name" placeholder="Contract Reference"/>
                        </h1>
                    </div>
                    <group>
                        <group>
                            <field name="employee_id"/>
                            <field name="department_id"/>
                            <field name="job_id"/>
                        </group>
                        <group>
                            <field name="reported_to_secretariat" widget="toggle_button" options='{"active": "Reported to the social secretariat", "inactive": "To report to the social secretariat"}'/>
                        </group>
                    </group>
                    <notebook>
                        <page string="Contract Details" name="other">
                            <group>
                                <group name="duration_group" string="Contract Terms">
                                    <field name="date_start"/>
                                    <label for="date_end"/>
                                    <div class="o_row">
                                        <field name="date_end" nolabel="1"/>
                                        <span class="text-muted">(If fixed-term contract)</span>
                                    </div>
                                    <field name="trial_date_end"/>
                                    <field name="resource_calendar_id"/>
                                    <field name="hr_responsible_id"/>
                                </group>
                            </group>
                            <group string="Notes">
                                <field name="notes" nolabel="1"/>
                            </group>
                        </page>
                        <page string="Salary Information" name="information">
                            <group name="main_info">
                                <group name="salary_and_advantages" string="Monthly Advantages in Cash">
                                    <label for="wage"/>
                                    <div class="o_row" name="wage">
                                        <field name="wage" nolabel="1"/>
                                        <span>/ month</span>
                                    </div>
                                    <field name="advantages" nolabel="1" placeholder="Advantages..." colspan="2" invisible="1"/>
                                </group>
                            </group>
                        </page>
                    </notebook>
                    </sheet>
                    <div class="oe_chatter">
                        <field name="message_follower_ids" widget="mail_followers" groups="base.group_user"/>
                        <field name="activity_ids" widget="mail_activity"/>
                        <field name="message_ids" widget="mail_thread"/>
                    </div>
                </form>
            </field>
        </record>

        <record id="hr_contract_view_tree" model="ir.ui.view">
            <field name="name">hr.contract.tree</field>
            <field name="model">hr.contract</field>
            <field name="arch" type="xml">
                <tree string="Contracts"
                    decoration-bf="message_needaction == True"
                    decoration-info="state == 'draft'"
                    decoration-muted="state in ('close', 'cancel')"
                    decoration-danger="state == 'pending'">
                    <field name="name"/>
                    <field name="employee_id"/>
                    <field name="job_id"/>
                    <field name="resource_calendar_id"/>
                    <field name="date_start"/>
                    <field name="date_end"/>
                    <field name="state"/>
                    <field name="wage" invisible="1"/>
                    <field name="message_needaction" invisible="1"/>
                </tree>
            </field>
        </record>

        <record id="hr_contract_view_kanban" model="ir.ui.view">
            <field name="name">hr.contract.kanban</field>
            <field name="model">hr.contract</field>
            <field name="arch" type="xml">
                <kanban class="o_kanban_small_column">
                    <field name="employee_id"/>
                    <field name="activity_state"/>
                    <progressbar field="activity_state" colors='{"planned": "success", "today": "warning", "overdue": "danger"}'/>
                    <templates>
                    <t t-name="kanban-box">
                        <div class="oe_kanban_card oe_kanban_global_click">
                            <div class="o_dropdown_kanban dropdown" groups="base.group_user">
                                <a class="dropdown-toggle o-no-caret btn" role="button" data-toggle="dropdown" href="#" aria-label="Dropdown menu" title="Dropdown menu">
                                    <span class="fa fa-ellipsis-v"/>
                                </a>
                                <div class="dropdown-menu" role="menu">
                                    <t t-if="widget.editable"><a role="menuitem" type="edit" class="dropdown-item">Edit Contract</a></t>
                                    <t t-if="widget.deletable"><a role="menuitem" type="delete" class="dropdown-item">Delete</a></t>
                                </div>
                            </div>
                            <div class="oe_kanban_content">
                                <div>
                                    <strong class="o_kanban_record_title"><field name="name"/></strong>
                                </div>
                                <div class="text-muted o_kanban_record_subtitle">
                                    <field name="job_id"/>
                                </div>
                                <div class="oe_kanban_bottom_right">
                                    <img t-att-src="kanban_image('hr.employee', 'image_medium', record.employee_id.raw_value)" t-att-title="record.employee_id.value" t-att-alt="record.employee_id.value" width="24" height="24" class="oe_kanban_avatar float-right"/>
                                </div>
                            </div>
                            <div class="oe_clear"></div>
                        </div>
                    </t>
                    </templates>
                </kanban>
            </field>
         </record>

        <record id="action_hr_contract" model="ir.actions.act_window">
            <field name="name">Contracts</field>
            <field name="res_model">hr.contract</field>
            <field name="view_type">form</field>
            <field name="view_mode">kanban,tree,form,activity</field>
            <field name="domain">[('employee_id', '!=', False)]</field>
            <field name="context">{'search_default_current':1, 'search_default_group_by_state': 1}</field>
            <field name="search_view_id" ref="hr_contract_view_search"/>
            <field name="help" type="html">
              <p class="o_view_nocontent_smiling_face">
                Create a new contract
              </p>
            </field>
        </record>

        <menuitem
            id="menu_human_resources_configuration_contract"
            name="Contracts"
            parent="hr.menu_human_resources_configuration"
            sequence="3"/>

        <menuitem
            id="hr_menu_contract"
            name="Contracts"
            action="action_hr_contract"
            parent="hr.menu_hr_root"
            sequence="4"
            groups="hr_contract.group_hr_contract_manager"/>


</odoo>
